Package org.apache.any23.vocab

## Class OGPArticle

- java.lang.Object
- - org.apache.any23.vocab.Vocabulary
  - - org.apache.any23.vocab.OGPArticle

-     public class OGPArticle
      extends Vocabulary

  The Open Graph Protocol Article Type vocabulary.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ARTICLE__AUTHOR` | Writers of the article.
    `static String` | `ARTICLE__EXPIRATION_TIME` | When the article is out of date after.
    `static String` | `ARTICLE__MODIFIED_TIME` | When the article was last changed.
    `static String` | `ARTICLE__PUBLISHED_TIME` | When the article was first published.
    `static String` | `ARTICLE__SECTION` | A high-level section name.
    `static String` | `ARTICLE__TAG` | Tag words associated with this article.
    `org.eclipse.rdf4j.model.IRI` | `articleAuthor` |
    `org.eclipse.rdf4j.model.IRI` | `articleExpirationTime` |
    `org.eclipse.rdf4j.model.IRI` | `articleModifiedTime` |
    `org.eclipse.rdf4j.model.IRI` | `articlePublishedTime` |
    `org.eclipse.rdf4j.model.IRI` | `articleSection` |
    `org.eclipse.rdf4j.model.IRI` | `articleTag` |
    `org.eclipse.rdf4j.model.IRI` | `NAMESPACE` |
    `static String` | `NS` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static OGPArticle` | `getInstance()` |

    - ### Methods inherited from class org.apache.any23.vocab.Vocabulary

      `createClass, createIRI, createProperty, getClass, getClasses, getCommentFor, getComments, getNamespace, getProperties, getProperty, getProperty, getPropertyCamelCase`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NS

          public static final String NS

      See Also:
        Constant Field Values

    - #### ARTICLE__PUBLISHED_TIME

          public static final String ARTICLE__PUBLISHED_TIME

      When the article was first published.
      See Also:
        Constant Field Values

    - #### ARTICLE__MODIFIED_TIME

          public static final String ARTICLE__MODIFIED_TIME

      When the article was last changed.
      See Also:
        Constant Field Values

    - #### ARTICLE__EXPIRATION_TIME

          public static final String ARTICLE__EXPIRATION_TIME

      When the article is out of date after.
      See Also:
        Constant Field Values

    - #### ARTICLE__AUTHOR

          public static final String ARTICLE__AUTHOR

      Writers of the article.
      See Also:
        Constant Field Values

    - #### ARTICLE__SECTION

          public static final String ARTICLE__SECTION

      A high-level section name. E.g. Technology
      See Also:
        Constant Field Values

    - #### ARTICLE__TAG

          public static final String ARTICLE__TAG

      Tag words associated with this article.
      See Also:
        Constant Field Values

    - #### NAMESPACE

          public final org.eclipse.rdf4j.model.IRI NAMESPACE

    - #### articlePublishedTime

          public final org.eclipse.rdf4j.model.IRI articlePublishedTime

    - #### articleModifiedTime

          public final org.eclipse.rdf4j.model.IRI articleModifiedTime

    - #### articleExpirationTime

          public final org.eclipse.rdf4j.model.IRI articleExpirationTime

    - #### articleAuthor

          public final org.eclipse.rdf4j.model.IRI articleAuthor

    - #### articleSection

          public final org.eclipse.rdf4j.model.IRI articleSection

    - #### articleTag

          public final org.eclipse.rdf4j.model.IRI articleTag

  - ### Method Detail

    - #### getInstance

          public static OGPArticle getInstance()